linux 6 安裝jrockit-jdk1.6.0_29-R28.2.0-4.1.0-linux-x64

火星人 @ 2014-03-08 , reply:0


更改現在java的環境,過程如下:

下載軟體:jrockit-jdk1.6.0_29-R28.2.0-4.1.0-linux-x64.bin

執行安裝

  1. ./jrockit-jdk1.6.0_29-R28.2.0-4.1.0-linux-x64.bin

安裝提示,一路next,注意第二步修改安裝的路徑,請修改成:

  1. (下劃線的需自己輸入)
  2. <------------------------ Oracle JRockit Installer - Oracle JRockit JDK R28.2 for Java SE 6 with JRMC 4.1 ------------------------>
  3. Choose Product Installation Directory:
  4. --------------------------------------
  5. "Product Installation Directory" = [Enter new value or use default "/root/jrockit-jdk1.6.0_29-R28.2.0-4.1.0"]
  6. Enter new Product Installation Directory OR [Exit][Previous][Next]> /usr/lib/jvm/jrockit-jdk1.6.0_29-R28.2.0-4.1.0-linux-x64

安裝成功后,修改

  1. update-alternatives --install /usr/bin/java java /usr/lib/jvm/jrockit-jdk1.6.0_29-R28.2.0-4.1.0-linux-x64/bin/java

查看是否生效

  1. java -version
  2. java version "1.6.0_29"
  3. Java(TM) SE Runtime Environment (build 1.6.0_29-b11)

  4. Oracle JRockit(R) (build R28.2.0-79-146777-1.6.0_29-20111005-1807-linux-x86_64, compiled mode)

大功告成!!

alternatives是Linux下的一個功能強大的命令.只能在root許可權下執行.如系統中有幾個命令功能十分類似,卻又不能隨意刪除,那麼可以用 alternatives 來指定一個全局的設置.

alternatives常用於同一個系統中安裝同一軟體的多個版本.比如為了開發需要,我需要安裝JDK1.4.2,同時還需要JDK1.6.10,我怎麼樣才能忽略安裝路徑,按照我自己的意思,使用我想要的java版本呢?

PS:我發現編輯博客的時候,chrome瀏覽器一直提交失敗,寫了三遍,悲催啊!!

本文出自 「linux學習路」 博客,請務必保留此出處http://fifeapple.blog.51cto.com/1566225/747911




[火星人 via ] linux 6 安裝jrockit-jdk1.6.0_29-R28.2.0-4.1.0-linux-x64已經有119次圍觀

http://www.coctec.com/docs/linux/show-post-46713.html